Bug 428685 - Safe assert when trying to use liquify on an empty layer
Summary: Safe assert when trying to use liquify on an empty layer
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools/Transform (show other bugs)
Version: 4.3.0
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dmitry Kazakov
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2020-11-04 13:40 UTC by Halla Rempt
Modified: 2020-11-16 12:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2020-11-04 13:40:39 UTC
When trying to liquify an empty layer, this safe assert happens:

SAFE ASSERT (krita): "m_liquifyWorker" in file /home/boud/dev/4.3/plugins/tools/tool_transform2/tool_transform_args.cc, line 291

This doesn't happen in 3.3.3, so it's a regression
Comment 1 Dmitry Kazakov 2020-11-11 11:01:42 UTC
Git commit 252d5b22f2eaa1670aacd1ec71dd8d3d88452679 by Dmitry Kazakov.
Committed on 11/11/2020 at 11:01.
Pushed by dkazakov into branch 'krita/4.3'.

Fix assert when requesting liquify mode on an empty layer

The assert was rather harmless, it just checked if the liquify
mode was initialized or not. Before the recent changes in the
transform tool, currentArgs.isIdentity() could not be called
in case of sckipped initialization, but now it is possible. Just
consider the transformation as identity in case initialization was
skipped.

# Conflicts:
#	plugins/tools/tool_transform2/tool_transform_args.cc

M  +3    -1    plugins/tools/tool_transform2/kis_tool_transform.cc
M  +1    -2    plugins/tools/tool_transform2/tool_transform_args.cc

https://invent.kde.org/graphics/krita/commit/252d5b22f2eaa1670aacd1ec71dd8d3d88452679
Comment 2 Dmitry Kazakov 2020-11-11 11:02:21 UTC
Git commit f645aa3c228d69765194f67fa0628de366515361 by Dmitry Kazakov.
Committed on 11/11/2020 at 11:02.
Pushed by dkazakov into branch 'master'.

Fix assert when requesting liquify mode on an empty layer

The assert was rather harmless, it just checked if the liquify
mode was initialized or not. Before the recent changes in the
transform tool, currentArgs.isIdentity() could not be called
in case of sckipped initialization, but now it is possible. Just
consider the transformation as identity in case initialization was
skipped.

# Conflicts:
#	plugins/tools/tool_transform2/tool_transform_args.cc

M  +3    -1    plugins/tools/tool_transform2/kis_tool_transform.cc
M  +1    -2    plugins/tools/tool_transform2/tool_transform_args.cc

https://invent.kde.org/graphics/krita/commit/f645aa3c228d69765194f67fa0628de366515361
Comment 3 Dmitry Kazakov 2020-11-16 12:49:38 UTC
Git commit 6f9657ae4ffd5f68f0b0ab1434f93130d94e2ac0 by Dmitry Kazakov.
Committed on 10/11/2020 at 09:55.
Pushed by dkazakov into branch 'krita/4.3'.

Fix assert when requesting liquify mode on an empty layer

The assert was rather harmless, it just checked if the liquify
mode was initialized or not. Before the recent changes in the
transform tool, currentArgs.isIdentity() could not be called
in case of sckipped initialization, but now it is possible. Just
consider the transformation as identity in case initialization was
skipped.

M  +3    -1    plugins/tools/tool_transform2/kis_tool_transform.cc
M  +1    -2    plugins/tools/tool_transform2/tool_transform_args.cc

https://invent.kde.org/graphics/krita/commit/6f9657ae4ffd5f68f0b0ab1434f93130d94e2ac0